Subject: bug#24866: AucTeX not working on Emacs 25.1.1 for Mac

From: Mosè Giordano <[email-masked]>
Date: Tue, 8 Nov 2016 00:27:46 +0100

Hi Lars,

2016-11-08 0:02 GMT+01:00 Lars Eriksson <[email-masked]>:
> Hi Mosè,
>
> I have now tested AucTeX (from git) on Emacs 25.1-1 on Mac and I am sorry to say that adding load paths did not help in my case. Same error, independent of load path. I have tried both without and with the addition of one and both of the following load paths before loading auctex.el
> (add-to-list 'load-path "/Applications/Emacs.app/Contents/Resources/site-lisp")
> (add-to-list 'load-path "/Applications/Emacs.app/Contents/Resources/site-lisp/auctex")
> (load "auctex.el" nil t t)
>
> From the debugger output below I have found that the error is encountered when it evaluates TeX-latex-mode() in the file latex.el.

That's no surprise, since it's the only place where the function is
called ;-)  The point is that the function should be called only if
it's available, but when it's called it turns out that it's not
actually there.

If you're familiar with git, can you please run git bisect in order to
look for the offending revision?  You can use "release_11_88" as good
revision, and "release_11_89" as the bad one.

Thanks,
Mosè